#ifndef _PINMUX_H_
#define _PINMUX_H_

#include <stdint.h>


//for the lpcexpresso802 dev board, PIN_NO_BATT_ADC should be 15 and ADC_NO_BATT should be 8


#define PIN_NO_UART_RX		0
#define PIN_NO_CARD_DET		1	//active low, needs pullup
#define PIN_NO_UART_TX		4
#define PIN_NO_BATT_ADC		7
#define PIN_NO_UART_RTS		8
#define PIN_NO_LED			9	//active low
#define PIN_NO_SD_MISO		11
#define PIN_NO_SD_SCLK		12
#define PIN_NO_SD_MOSI		13
#define PIN_NO_SD_nCS		17

#define ADC_NO_BATT			1


//WTF NXP????. map PIO0_x to index in IOCON->PIO
static const uint8_t mIoconRegOrder[] = {
	0x11, 0x0b, 0x06, 0x05,
	0x04, 0x03, 0xff, 0x0f,
	0x0e, 0x0d, 0x08, 0x07,
	0x02, 0x01, 0x12, 0x0a,
	0x09, 0x00,
};



#endif


